| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdinput.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_input_controller

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_input_controller * | my_inputctl_ptr

## Functions
| METHODDEF (int)
| per_scan_setup (j_decompress_ptr cinfo)
| latch_quant_tables (j_decompress_ptr cinfo)
| start_input_pass (j_decompress_ptr cinfo)
| finish_input_pass (j_decompress_ptr cinfo)
| consume_markers (j_decompress_ptr cinfo)
| reset_input_controller (j_decompress_ptr cinfo)
| jinit_input_controller (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 14 of file jdinput.c.

## Typedef Documentation

typedef my_input_controller* my_inputctl_ptr

Definition at line 27 of file jdinput.c.

## Function Documentation

consume_markers | ( | j_decompress_ptr | cinfo | ) |

Definition at line 288 of file jdinput.c.

finish_input_pass | ( | j_decompress_ptr | cinfo | ) |

Definition at line 271 of file jdinput.c.

jinit_input_controller | ( | j_decompress_ptr | cinfo | ) |

Definition at line 361 of file jdinput.c.

latch_quant_tables | ( | j_decompress_ptr | cinfo | ) |

Definition at line 220 of file jdinput.c.

METHODDEF | ( | int |  | ) |

Definition at line 31 of file jdinput.c.

per_scan_setup | ( | j_decompress_ptr | cinfo | ) |

Definition at line 121 of file jdinput.c.

reset_input_controller | ( | j_decompress_ptr | cinfo | ) |

Definition at line 339 of file jdinput.c.

start_input_pass | ( | j_decompress_ptr | cinfo | ) |

Definition at line 254 of file jdinput.c.